| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
iolink.iolink.LodImageView Class Reference
Inheritance diagram for iolink.iolink.LodImageView:

## Public Member Functions
| __init__ (self, *args, **kwargs)
| get_level_range (self)
| resolution (self, level)
| to_string (self)
| __repr__ (self)
Public Member Functions inherited from iolink.iolink.View
| view_origin (self)
| extension (self, extension_id)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| level_range = property(get_level_range, doc=get_level_range.__doc__)
Properties inherited from iolink.iolink.View
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Additional Inherited Members
Protected Member Functions inherited from iolink.iolink.View
| _extension (self, id)

## Detailed Description

    A view on an image with multiple levels of detail (LOD).

    It is also usually called a pyramid of resolutions
      - level 0 always gives the original resolution of the image
      - image resolution at level N+1 is always lower than resolution at level N

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.LodImageView.__init__ | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

Reimplemented from iolink.iolink.View.

## Member Function Documentation

## ◆ __repr__()

iolink.iolink.LodImageView.__repr__ | ( |  | self | ) |

Reimplemented from iolink.iolink.View.

## ◆ get_level_range()

iolink.iolink.LodImageView.get_level_range | ( |  | self | ) |

        Give the range of available levels of resolution
        Level 0 is always in the range. (because it corresponds to the original image)
        First value of returned vector is the level corresponding to the highest resolution (inferior or equal to 0)
        Second value of returned vector is the level corresponding to the lowest resolution (superior or equal to 0)
          - a negative level (< 0) gives a higher resolution of the original image
          - a positive (> 0) level gives a lower resolution of the original image

        :rtype: :py:class:`Vector2i64`
        :return: a vector of 2 values (high-res level, low-res level)

## ◆ resolution()

iolink.iolink.LodImageView.resolution | ( |  | self,
|  |  | level
| ) |  |

        An ImageView of the n-th level of detail.

        :type level: int
        :param level: the level of detail
        :rtype: :py:class:`ImageView`
        :return: ImageView corresponding to given level
        :raises: Error if required level is not handled (out of range)

## ◆ to_string()

iolink.iolink.LodImageView.to_string | ( |  | self | ) |

    Return a string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py